PULSAR

Get Machine Availability

Get a single machine availability, identified by machineId.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Path Parameters

machineId*number

The machine's ID.

Formatdouble

Query Parameters

start*string

The start of the date range to filter by.

Formatdate-time
end*string

The end of the date range to filter by.

Formatdate-time

Response Body

application/json

Try it live
GET
/machines/{machineId}/availability

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/0.1/availability?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"
[  {    "status": "N",    "timestamp": "2019-08-24T14:15:22Z"  }]